"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = replaceUi;
/**
 * Replace original field in uiSchema with defined configuration
 *
 * @param field
 * @param schema
 * @param uiSchema
 * @param conf
 * @returns {{schema: *, uiSchema: *}}
 */
function replaceUi(_ref, schema, uiSchema) {
  var fields = _ref.fields,
      conf = _ref.conf;

  fields.forEach(function (field) {
    uiSchema[field] = conf;
  });
}